# eric7.WebBrowser.GreaseMonkey.GreaseMonkeyJsObject

Module implementing the Python side for GreaseMonkey scripts.

### Global Attributes

None

### Classes

GreaseMonkeyJsObject | Class implementing the Python side for GreaseMonkey scripts.

### Functions

None

## GreaseMonkeyJsObject

Class implementing the Python side for GreaseMonkey scripts.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

GreaseMonkeyJsObject | Constructor
deleteValue | Public slot to set delete the named variable for the identified script.
getValue | Public slot to get the value for the named variable for the identified script.
listValues | Public slot to list the stored variables for the identified script.
setClipboard | Public slot to set some clipboard text.
setSettingsFile | Public method to set the settings file for the GreaseMonkey parameters.
setValue | Public slot to set the value for the named variable for the identified script.

### Static Methods

None

#### GreaseMonkeyJsObject (Constructor)

GreaseMonkeyJsObject(parent=None)

Constructor

parent (QObject)
  reference to the parent object

#### GreaseMonkeyJsObject.deleteValue

deleteValue(nspace, name)

Public slot to set delete the named variable for the identified script.

nspace (str)
  unique script id
name (str)
  name of the variable

Return:
  flag indicating success

Return Type:
  bool

#### GreaseMonkeyJsObject.getValue

getValue(nspace, name, dValue)

Public slot to get the value for the named variable for the identified script.

nspace (str)
  unique script id
name (str)
  name of the variable
dValue (str)
  default value

Return:
  value for the named variable

Return Type:
  str

#### GreaseMonkeyJsObject.listValues

listValues(nspace)

Public slot to list the stored variables for the identified script.

nspace (str)
  unique script id

Return:
  list of stored variables

Return Type:
  list of str

#### GreaseMonkeyJsObject.setClipboard

setClipboard(text)

Public slot to set some clipboard text.

text (str)
  text to be copied to the clipboard

#### GreaseMonkeyJsObject.setSettingsFile

setSettingsFile(name)

Public method to set the settings file for the GreaseMonkey parameters.

name (str)
  name of the settings file

#### GreaseMonkeyJsObject.setValue

setValue(nspace, name, value)

Public slot to set the value for the named variable for the identified script.

nspace (str)
  unique script id
name (str)
  name of the variable
value (str)
  value to be set

Return:
  flag indicating success

Return Type:
  bool

Up